## obs-ashmanix-countdown 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16...3.21)

# Change obs-plugintemplate to your plugin's name in a machine-readable format (e.g.:
# obs-myawesomeplugin) and set
project(obs-plugin-countdown VERSION 1.2.0)
add_library(${CMAKE_PROJECT_NAME} MODULE)

# Replace `Your Name Here` with the name (yours or your organization's) you want to see as the
# author of the plugin (in the plugin's metadata itself and in the installers)
set(PLUGIN_AUTHOR "Ashmanix")

# Replace `com.example.obs-plugin-template` with a unique Bundle ID for macOS releases (used both in
# the installer and when submitting the installer for notarization)
set(MACOS_BUNDLEID "com.example.${CMAKE_PROJECT_NAME}")

# Replace `me@contoso.com` with the maintainer email address you want to put in Linux packages
set(LINUX_MAINTAINER_EMAIL "email@ashmanix.com")

# Add your custom source files here - header files are optional and only required for visibility
# e.g. in Xcode or Visual Studio
target_sources(${CMAKE_PROJECT_NAME} PRIVATE src/plugin-main.cpp src/countdown-widget.hpp
                                             src/countdown-widget.cpp)

# Import libobs as main plugin dependency
find_package(libobs REQUIRED)
include(cmake/ObsPluginHelpers.cmake)

# Uncomment these lines if you want to use the OBS Frontend API in your plugin

find_package(obs-frontend-api REQUIRED)
target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE OBS::obs-frontend-api)

# Uncomment those lines if you want to use Qt in your plugin

find_qt(COMPONENTS Widgets Core)
target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE Qt::Core Qt::Widgets)
set_target_properties(
  ${CMAKE_PROJECT_NAME}
  PROPERTIES AUTOMOC ON
             AUTOUIC ON
             AUTORCC ON)

configure_file(src/plugin-macros.h.in ${CMAKE_SOURCE_DIR}/src/plugin-macros.generated.h)

target_sources(${CMAKE_PROJECT_NAME} PRIVATE src/plugin-macros.generated.h)

# /!\ TAKE NOTE: No need to edit things past this point /!\

# --- Platform-independent build settings ---

target_include_directories(${CMAKE_PROJECT_NAME} PRIVATE ${CMAKE_SOURCE_DIR}/src)

target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE OBS::libobs)

# --- End of section ---

# --- Windows-specific build settings and tasks ---
if(OS_WINDOWS)
  configure_file(cmake/bundle/windows/installer-Windows.iss.in
                 ${CMAKE_BINARY_DIR}/installer-Windows.generated.iss)

  configure_file(cmake/bundle/windows/resource.rc.in ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.rc)
  target_sources(${CMAKE_PROJECT_NAME} PRIVATE ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.rc)

  if(MSVC)
    target_compile_options(${CMAKE_PROJECT_NAME} PRIVATE /W4)
  endif()
  # --- End of section ---

  # -- macOS specific build settings and tasks --
elseif(OS_MACOS)
  configure_file(cmake/bundle/macos/installer-macos.pkgproj.in
                 ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)

  set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
  set(MACOSX_PLUGIN_BUNDLE_VERSION "${CMAKE_PROJECT_VERSION}")
  set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")

  target_compile_options(${CMAKE_PROJECT_NAME} PRIVATE -Wall)
  # --- End of section ---

  # --- Linux-specific build settings and tasks ---
else()
  target_compile_options(${CMAKE_PROJECT_NAME} PRIVATE -Wall)
endif()
# --- End of section ---

if(BUILD_OUT_OF_TREE)
  if(NOT LIB_OUT_DIR)
    set(LIB_OUT_DIR "/lib/obs-plugins")
  endif()
  if(NOT DATA_OUT_DIR)
    set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
  endif()
  set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
  install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
  install(DIRECTORY data/locale DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
endif()

setup_plugin_target(${CMAKE_PROJECT_NAME})

=== debian/changelog ===
obs-ashmanix-countdown (1.2.0-2) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:32:10 -0300

obs-ashmanix-countdown (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/:
      - 010_change-project-name.patch: updated to be compliant with new
        upstream release.
      - Removed all patches applied by the upstream (thanks):
          ~ 020_add-build-of-tree.patch
          ~ 030_fix-EOF.patch
          ~ 040_add-en-US.patch
          ~ 050_add-pt-br.patch
          ~ 060_adjustments-en-GB.patch

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 19 Feb 2023 21:42:15 -0300

obs-ashmanix-countdown (1.1.0-3) unstable; urgency=medium

  * debian/control:
      - Added Enhances line.
      - Dropped Multi-Arch because this plugin uses qtbase5.
  * debian/rules: fixed execute_after_dh_install target.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Feb 2023 11:42:44 -0300

obs-ashmanix-countdown (1.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: set 'Multi-Arch: same'.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Feb 2023 06:05:15 -0300

obs-ashmanix-countdown (1.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1030611)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Feb 2023 07:58:09 -0300

=== debian/control ===
Source: obs-ashmanix-countdown
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/ashmanix-countdown-timer.1610/
Vcs-Browser: https://salsa.debian.org/debian/obs-ashmanix-countdown
Vcs-Git: https://salsa.debian.org/debian/obs-ashmanix-countdown.git

Package: obs-ashmanix-countdown
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Description: plugin for OBS Studio to create a countdown timer
 This plugin lets to use a text source in OBS to show a countdown timer that
 updates in real time. This is useful to show to viewers the time left before
 a transmission.
 .
 The plugin appears as a dockable widget and comes with options to display a
 final message or to switch to a scene when the counter reaches zero. These
 two features can be disabled via checkbox, so the countdown will show the
 zero time when waiting for someone to switch the scene.
 .
 When configuring, is possible to set a period of time or a real time to
 count down from it. Also is possible to choose not show some part of the
 time (hours, minutes, seconds).

## obs-ashmanix-countdown 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Change obs-plugintemplate to your plugin's name in a machine-readable format (e.g.:
 # obs-myawesomeplugin) and set
-project(obs-plugin-countdown VERSION 1.2.0)
+project(obs-plugin-countdown VERSION 1.3.0)
 add_library(${CMAKE_PROJECT_NAME} MODULE)
 
 # Replace `Your Name Here` with the name (yours or your organization's) you want to see as the

=== debian/changelog ===
obs-ashmanix-countdown (1.3.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 12:23:52 -0300

obs-ashmanix-countdown (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow (<= 1.5.2-3), no longer in Debian.
  * debian/patches/010_change-project-name.patch:
      - Added Forwarded field.
      - Updated to be compliant with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Jun 2023 10:09:50 -0300

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
 Enhances: obs-studio
+Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to create a countdown timer
  This plugin lets to use a text source in OBS to show a countdown timer that
  updates in real time. This is useful to show to viewers the time left before

## obs-ashmanix-countdown 1.3.3

=== debian/changelog ===
obs-ashmanix-countdown (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3.
  * debian/copyright: added new upstream copyholders.
  * debian/patches/:
      - 010_change-project-name.patch: updated to be compliant with the new
        upstream release.
      - 020_fix-spelling.patch: created to fix a spelling error in final binary.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 14 Sep 2023 11:15:03 -0300

## obs-ashmanix-countdown 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16...3.26)

include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/common/bootstrap.cmake" NO_POLICY_SCOPE)

project(${_name} VERSION ${_version})

option(ENABLE_FRONTEND_API "Use obs-frontend-api for UI functionality" ON)
option(ENABLE_QT "Use Qt functionality" ON)

include(compilerconfig)
include(defaults)
include(helpers)

add_library(${CMAKE_PROJECT_NAME} MODULE)

find_package(libobs REQUIRED)
target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE OBS::libobs)

if(ENABLE_FRONTEND_API)
  find_package(obs-frontend-api REQUIRED)
  target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE OBS::obs-frontend-api)
endif()

if(ENABLE_QT)
  find_package(Qt6 COMPONENTS Widgets Core)
  target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE Qt6::Core Qt6::Widgets)
  target_compile_options(
    ${CMAKE_PROJECT_NAME} PRIVATE $<$<C_COMPILER_ID:Clang,AppleClang>:-Wno-quoted-include-in-framework-header
                                  -Wno-comma>)
  set_target_properties(
    ${CMAKE_PROJECT_NAME}
    PROPERTIES AUTOMOC ON
               AUTOUIC ON
               AUTORCC ON)
endif()

target_include_directories(${CMAKE_PROJECT_NAME} PRIVATE ${CMAKE_SOURCE_DIR}/lib)

target_sources(${CMAKE_PROJECT_NAME} PRIVATE src/plugin-main.cpp src/countdown-widget.hpp src/countdown-widget.cpp)

set_target_properties_plugin(${CMAKE_PROJECT_NAME} PROPERTIES OUTPUT_NAME ${_name})

=== debian/changelog ===
obs-ashmanix-countdown (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1. (Closes: #1060938, #1071165)
  * debian/clean: updated to remove files forgotten by the upstream after the
    build.
  * debian/control:
      - Bumped Standards-Version to 4.7.0.
      - Changed from qtbase5-dev to qt6-base-dev in Build-Depends field.
  * debian/copyright: updated packaging and upstream copyright years.
  * debian/patches/:
      - 010_change-project-name.patch: updated to make it compliant with the
        new upstream release.
      - 020_fix-spelling.patch: removed because the upstream applied this
        patch. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 22 Nov 2024 00:41:35 -0300

## obs-ashmanix-countdown 2.0.8

=== debian/changelog ===
obs-ashmanix-countdown (2.0.8-1) unstable; urgency=medium

  * New upstream version 2.0.8.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 17 Jan 2025 12:30:25 -0300

obs-ashmanix-countdown (2.0.6-1) unstable; urgency=medium

  * New upstream version 2.0.6.
  * debian/patches/:
      - 010_change-project-name.patch: updated to make it compliant with the
        new upstream release.
      - 020_new-translations.patch: removed because the upstream applied this
        patch. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 16 Jan 2025 12:17:02 -0300

obs-ashmanix-countdown (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - 010_change-project-name.patch: updated to make it compliant with the
        new upstream release.
      - 020_new-translations.patch: created to add new translations to pt-BR
        and en-GB.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Jan 2025 23:48:18 -0300

obs-ashmanix-countdown (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 17 Dec 2024 22:48:46 -0300

obs-ashmanix-countdown (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 09 Dec 2024 19:49:44 -0300

obs-ashmanix-countdown (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Dec 2024 14:09:38 -0300

## obs-ashmanix-countdown 2.0.9

=== debian/changelog ===
obs-ashmanix-countdown (2.0.9-1ubuntu1) plucky; urgency=medium

  * Fix deprecation warnings being treated as errors.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Mar 2025 22:40:01 -0600

obs-ashmanix-countdown (2.0.9-1) unstable; urgency=medium

  * New upstream version 2.0.9.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Jan 2025 23:26:21 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: obs-ashmanix-countdown
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qtbase5-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qt6-base-dev
+Standards-Version: 4.7.0
 Homepage: https://obsproject.com/forum/resources/ashmanix-countdown-timer.1610/
 Vcs-Browser: https://salsa.debian.org/debian/obs-ashmanix-countdown
 Vcs-Git: https://salsa.debian.org/debian/obs-ashmanix-countdown.git

## obs-ashmanix-countdown 2.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,19 @@
 
 target_include_directories(${CMAKE_PROJECT_NAME} PRIVATE ${CMAKE_SOURCE_DIR}/lib)
 
-target_sources(${CMAKE_PROJECT_NAME} PRIVATE src/plugin-main.cpp src/countdown-widget.hpp src/countdown-widget.cpp)
+target_sources(
+  ${CMAKE_PROJECT_NAME}
+  PRIVATE src/plugin-main.cpp
+          src/countdown-widget.hpp
+          src/countdown-widget.cpp
+          src/widgets/ashmanix-timer.hpp
+          src/widgets/ashmanix-timer.cpp
+          src/widgets/settings-dialog.hpp
+          src/widgets/settings-dialog.cpp
+          src/widgets/obs-dock-wrapper.hpp
+          src/utils/timer-utils.cpp
+          src/utils/timer-utils.hpp
+          src/utils/obs-utils.cpp
+          src/utils/obs-utils.hpp)
 
 set_target_properties_plugin(${CMAKE_PROJECT_NAME} PROPERTIES OUTPUT_NAME ${_name})

=== debian/changelog ===
obs-ashmanix-countdown (2.0.10-2) unstable; urgency=medium

  * debian/control: added libxkbcommon-dev to Build-Depends field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 31 Mar 2025 17:38:20 -0300

obs-ashmanix-countdown (2.0.10-1) unstable; urgency=medium

  * New upstream version 2.0.10. (Closes: #1099826)
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.
  * debian/rules: removed no longer needed --compile-no-warning-as-error
    because the upstream fixed the source code. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 31 Mar 2025 14:54:08 -0300

obs-ashmanix-countdown (2.0.9-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/rules: added temporarily --compile-no-warning-as-error to build
    system to mitigate a FTBFS. (see #1099826)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 26 Mar 2025 14:03:11 -0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: obs-ashmanix-countdown
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29), qt6-base-dev
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libobs-dev (>= 29),
+               libxkbcommon-dev,
+               qt6-base-dev
+Standards-Version: 4.7.2
 Homepage: https://obsproject.com/forum/resources/ashmanix-countdown-timer.1610/
 Vcs-Browser: https://salsa.debian.org/debian/obs-ashmanix-countdown
 Vcs-Git: https://salsa.debian.org/debian/obs-ashmanix-countdown.git
 
 Package: obs-ashmanix-countdown
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
+Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to create a countdown timer

## obs-ashmanix-countdown 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28...3.30)

include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/common/bootstrap.cmake" NO_POLICY_SCOPE)

project(${_name} VERSION ${_version})

option(ENABLE_FRONTEND_API "Use obs-frontend-api for UI functionality" ON)
option(ENABLE_QT "Use Qt functionality" ON)

include(compilerconfig)
include(defaults)
include(helpers)

add_library(${CMAKE_PROJECT_NAME} MODULE)

find_package(libobs REQUIRED)
target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE OBS::libobs)

if(ENABLE_FRONTEND_API)
  find_package(obs-frontend-api REQUIRED)
  target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE OBS::obs-frontend-api)
endif()

if(ENABLE_QT)
  find_package(Qt6 COMPONENTS Widgets Core)
  target_link_libraries(${CMAKE_PROJECT_NAME} PRIVATE Qt6::Core Qt6::Widgets)
  target_compile_options(
    ${CMAKE_PROJECT_NAME}
    PRIVATE $<$<C_COMPILER_ID:Clang,AppleClang>:-Wno-quoted-include-in-framework-header -Wno-comma>
  )
  set_target_properties(
    ${CMAKE_PROJECT_NAME}
    PROPERTIES AUTOMOC ON AUTOUIC ON AUTORCC ON
  )
endif()

target_include_directories(${CMAKE_PROJECT_NAME} PRIVATE ${CMAKE_SOURCE_DIR}/lib)

target_sources(
  ${CMAKE_PROJECT_NAME}
  PRIVATE
    src/plugin-main.cpp
    src/countdown-widget.hpp
    src/countdown-widget.cpp
    src/widgets/ashmanix-timer.hpp
    src/widgets/ashmanix-timer.cpp
    src/widgets/settings-dialog.hpp
    src/widgets/settings-dialog.cpp
    src/widgets/obs-dock-wrapper.hpp
    src/widgets/ashmanix-timer/timer-ui-manager.cpp
    src/widgets/ashmanix-timer/timer-ui-manager.hpp
    src/widgets/ashmanix-timer/hotkey-manager.cpp
    src/widgets/ashmanix-timer/hotkey-manager.hpp
    src/utils/websocket-notifier.cpp
    src/utils/websocket-notifier.hpp
    src/widgets/ashmanix-timer/timer-persistence.cpp
    src/widgets/ashmanix-timer/timer-persistence.hpp
    src/widgets/settings/colour-change-widget.cpp
    src/widgets/settings/colour-change-widget.hpp
    src/widgets/settings/single-colour-rule-widget.cpp
    src/widgets/settings/single-colour-rule-widget.hpp
    src/classes/colour-rule.cpp
    src/classes/colour-rule.hpp
    src/utils/timer-utils.cpp
    src/utils/timer-utils.hpp
    src/utils/obs-utils.cpp
    src/utils/obs-utils.hpp
)

set_target_properties_plugin(${CMAKE_PROJECT_NAME} PROPERTIES OUTPUT_NAME ${_name})

=== debian/changelog ===
obs-ashmanix-countdown (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0. (Closes: #1097490)
  * debian/control: removed relationship from build dependency libobs-dev.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 04 Sep 2025 22:50:03 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libobs-dev (>= 29),
+               libobs-dev,
                libxkbcommon-dev,
                qt6-base-dev
 Standards-Version: 4.7.2

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

# Detecting changes to help the upstream with pt_BR translation.
# This detection will run in my machine only (canopus).
execute_before_dh_auto_configure:
	if [ "$(shell hostname)" = "canopus" ]; then \
	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
	    LINESGB=$(shell cat data/locale/en-GB.ini | wc -l); \
	    if [ "$$LINESUS" != "$$LINESPT" ] || [ "$$LINESGB" != "$$LINESPT" ]; then \
	        echo "ERROR: Translation to pt_BR is out of date."; \
	        exit 1; \
	    fi; \
	fi

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                             -DLINUX_PORTABLE=Off

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

=== debian/tests/control ===
Test-Command: DEB_TARGET_MULTIARCH=$(dpkg-architecture -qDEB_TARGET_MULTIARCH);
              PLUGIN_NAME=$(dpkg-parsechangelog -SSource | cut -d"-" -f2-);
              g++ -o $AUTOPKGTEST_TMP/load_lib debian/tests/load_lib.cc -ldl -Wall;
              $AUTOPKGTEST_TMP/load_lib /usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins/${PLUGIN_NAME}.so
Depends: @, g++
Restrictions: superficial

=== debian/watch ===
version=4
https://github.com/ashmanix/obs-plugin-countdown/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-ashmanix-countdown 2.1.1

=== debian/changelog ===
obs-ashmanix-countdown (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream release.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Feb 2026 13:55:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: obs-ashmanix-countdown
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libobs-dev,
                libxkbcommon-dev,
                qt6-base-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/ashmanix-countdown-timer.1610/
 Vcs-Browser: https://salsa.debian.org/debian/obs-ashmanix-countdown
 Vcs-Git: https://salsa.debian.org/debian/obs-ashmanix-countdown.git

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,10 @@
                              -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                              -DLINUX_PORTABLE=Off
 
+# blhc should ignore CMake ABI tests.
+execute_before_dh_auto_build:
+	@echo 'blhc: ignore-line-regexp: /usr/bin/c\+\+ .*/Modules/CMakeCXXCompilerABI\.cpp .*'
+
 execute_after_dh_install-arch:
 	# Check if the plugin is in right place
 	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

=== debian/watch ===
Version: 5

Template: Github
Owner: ashmanix
Project: obs-plugin-countdown
